summaryrefslogtreecommitdiff
path: root/tests/shred/exact
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shred/exact')
-rwxr-xr-xtests/shred/exact4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/shred/exact b/tests/shred/exact
index 2c978e1e9..6ed1ca5db 100755
--- a/tests/shred/exact
+++ b/tests/shred/exact
@@ -17,7 +17,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -35,4 +35,4 @@ for opt in --exact --zero; do
test -f c && fail=1
done
-(exit $fail); exit
+(exit $fail); exit $fail